diff -Nru orig/lwgeom/src/Makevars.ucrt patched/lwgeom/src/Makevars.ucrt
--- orig/lwgeom/src/Makevars.ucrt	2023-05-22 10:42:54.000000000 +0200
+++ patched/lwgeom/src/Makevars.ucrt	2023-10-10 12:18:51.501921400 +0200
@@ -73,13 +73,17 @@
   liblwgeom/lwin_wkt_parse.o
 
 PKG_CPPFLAGS = -I./liblwgeom -DUSE_PROJ_H
+PKG_LIBS = -L./liblwgeom -llwgeomstatic
 
-LIBSHARPYUV = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libsharpyuv.a),-lsharpyuv),)
+ifeq (,$(shell pkg-config --version 2>/dev/null))
+  LIBSHARPYUV = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libsharpyuv.a),-lsharpyuv),)
 
-PKG_LIBS =  \
--L./liblwgeom -llwgeomstatic -lcurl -ltiff -lgeotiff -lproj \
+  PKG_LIBS +=  \
+-lcurl -ltiff -lgeotiff -lproj \
 -fopenmp -lgdal -larmadillo -lopenblas -lgfortran -lquadmath -lpq -lpgcommon -lpgport -lodbc32 -lodbccp32 -lblosc -lkea -lhdf5_cpp -lhdf5 -lpoppler -llcms2 -lfreetype -lharfbuzz -lfreetype -llz4 -lpcre2-8 -lxml2 -lopenjp2 -lnetcdf -lmysqlclient -lspatialite -lgeos_c -lgeos -lminizip -lgeos -ljson-c -lgta -lfreexl -lexpat -lssl -lpsapi -lgif -lmfhdf -lhdf5_hl -lcrypto -lportablexdr -ldf -lhdf5 -lsz -lpng16 -lpng -lpoppler -llcms2 -lfreetype -lharfbuzz -lfreetype -llz4 -lpcre2-8 -lpcre -lcurl -lbcrypt -lrtmp -lssl -lssh2 -lidn2 -lunistring -liconv -lgcrypt -lcrypto -lgpg-error -lws2_32 -ltiff -llzma -ljpeg -lz -lcfitsio -lzstd -lwebpdecoder -lwebp $(LIBSHARPYUV) -lsbml-static -lgeotiff -lproj -lsqlite3 -lbz2 -lcrypt32 -lwldap32 -lsecur32 
-
+else
+  PKG_LIBS += $(shell pkg-config --libs geos proj)
+endif
 
 all: clean winlibs
 
